This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1461382 - API calls after log out
API calls after log out
Status: NEW
Product: Red Hat Storage Console
Classification: Red Hat
Component: Dashboard (Show other bugs)
3
Unspecified Unspecified
unspecified Severity unspecified
: beta
: 3
Assigned To: Neha Gupta
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 07:02 EDT by Lubos Trilety
Modified: 2017-06-23 06:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2017-06-14 07:02:32 EDT
Description of problem:
Tendrl dashboard doesn't stop with regular API calls even when user logs out. After that all calls always end correctly with 401 'Unauthorized' however they should not be called at all.

Version-Release number of selected component (if applicable):
tendrl-node-agent-3.0-alpha.9.el7scon.noarch
tendrl-commons-3.0-alpha.9.el7scon.noarch
tendrl-performance-monitoring-3.0-alpha.7.el7scon.noarch
tendrl-api-3.0-alpha.4.el7scon.noarch
tendrl-api-httpd-3.0-alpha.4.el7scon.noarch
tendrl-dashboard-3.0-alpha.4.el7scon.noarch
tendrl-alerting-3.0-alpha.3.el7scon.noarch
tendrl-api-doc-3.0-alpha.4.el7scon.noarch

How reproducible:
100%

Steps to Reproduce:
1. Log in on tendrl dashboard
2. Log out
3. Look on what API calls are run

Actual results:
Tendrl dashboard continue to run those calls which were run repeatedly before user logged out.

Expected results:
No API calls will be run after log out.

Additional info:
Comment 2 Lubos Trilety 2017-06-14 07:18:51 EDT
The issue is incremental. After first log in - log out there's e.g. one notifications call every 5 seconds, after several log in - log out, there could be 10 of them and more.

One note after several log in -log out, it happened to me that when I logged in again I was automatically logged out. Not sure if it is related though.
Comment 3 Nishanth Thomas 2017-06-15 02:33:57 EDT
What is the expected behaviour?
I don't think any API calls will initiated after logout. So I assume you want us to chase down the calls in progress and kill them?

In any case I don't think this is a priority at the moment
Comment 4 Lubos Trilety 2017-06-15 06:30:48 EDT
(In reply to Nishanth Thomas from comment #3)
> What is the expected behaviour?
> I don't think any API calls will initiated after logout. So I assume you
> want us to chase down the calls in progress and kill them?
> 
> In any case I don't think this is a priority at the moment

Well no different calls are initiated after log out. However e.g. those notifications calls are run every 10 seconds again. They are part of the current running setup in browser so when the page is reloaded after log out, they stop to be called.

Note You need to log in before you can comment on or make changes to this bug.